XvUngrabPort(3X)

Name
XvUngrabPort - release port grabbed for video operation

Syntax
#include <X11/extensions/Xvlib.h>

XvUngrabPort(dpy, port, time)

Display *dpy;
XvPortID port;
Time time;

Arguments

dpy Specifies the display screen on which the Xv Server is to accept requests from Xv clients. If the display option is not specified, Xv uses the display screen specified by your DISPLAY environment variable. The display option has the format hostname:number. Using two colons (::) instead of one (:) indicates that DECnet is to be used for transport.

port
    Specifies the port to be released. If the port had not been previously grabbed, the request is ignored.

time
    Specifies the request timestamp.

Description
XvUngrabPort(3X) releases a grabbed port. If time specifies a time before the last XvGrabPort(3X) was executed, the request is ignored.

Returned Values

[Success]
    Returned if XvUngrabPort(3X) completed successfully.

[XvBadExtension]
    Returned if the Xv extension is unavailable.

[XvBadAlloc]
    Returned if XvUngrabPort(3X) failed to allocate memory to process the request.

Diagnostics

[XvBadPort]
    Generated if the requested port does not exist.

See Also
XvGrabPort(3X)